summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Jick Nan <jick.nan@gmail.com>2010-05-11 19:46:46 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 19:46:46 +0200
commit53aad17e26512c338abb4ad78609878860b3e013 (patch)
treec5e925d33723ef85cd559d67888c4cea6ffc983e
parent006c7ae8877c138bb03e617ce714aaefdc255232 (diff)
downloadslackbuilds-53aad17e26512c338abb4ad78609878860b3e013.tar.gz
slackbuilds-53aad17e26512c338abb4ad78609878860b3e013.tar.xz
system/xautolock: Updated for version 2.1
-rw-r--r--system/xautolock/README4
-rw-r--r--system/xautolock/slack-desc10
-rw-r--r--system/xautolock/xautolock.SlackBuild6
3 files changed, 12 insertions, 8 deletions
diff --git a/system/xautolock/README b/system/xautolock/README
index 064bda9214..b5c255732a 100644
--- a/system/xautolock/README
+++ b/system/xautolock/README
@@ -13,9 +13,5 @@ I use xautolock with xlockmore in this way:
xautolock -time 10 -locker xlock
-Note: this script calls /usr/X11R6/bin/xmkmf, which requires that directory
- to be in your $PATH. Therefore, you will almost certainly need to
- do "su -" instead of just "su" to build this.
-
If you have any questions or comments about this script you are free to
contact me via e-mail: jick.nan AT gmail.com Enjoy!
diff --git a/system/xautolock/slack-desc b/system/xautolock/slack-desc
index cb1df2ce3e..bb406cbf6e 100644
--- a/system/xautolock/slack-desc
+++ b/system/xautolock/slack-desc
@@ -1,4 +1,12 @@
-xautolock: xautolock
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xautolock: xautolock (Xautolock monitors console activity)
xautolock:
xautolock: Xautolock monitors console activity under the X window system, and
xautolock: fires up a program of your choice if nothing happens during a
diff --git a/system/xautolock/xautolock.SlackBuild b/system/xautolock/xautolock.SlackBuild
index 152e0f3622..cbd1c49816 100644
--- a/system/xautolock/xautolock.SlackBuild
+++ b/system/xautolock/xautolock.SlackBuild
@@ -9,7 +9,7 @@
PRGNAM=xautolock
VERSION=2.1
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
@@ -35,13 +35,13 @@ make install.man DESTDIR=$PKG || exit 1
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
-gzip -9 $PKG/usr/X11R6/man/man1/xautolock.1x || exit 1
+gzip -9 $PKG/usr/man/man1/xautolock.1x || exit 1
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a Changelog Readme VMS.notes Todo $PKG/usr/doc/$PRGNAM-$VERSION
( cd $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PRGNAM.SlackBuild
- ln -s /usr/X11R6/lib/X11/doc/html/xautolock.1.html xautolock.1.html
+ ln -s /usr/lib/X11/doc/html/xautolock.1.html xautolock.1.html
)
mkdir -p $PKG/install